低危 GNU C Library 'memalign'函数整数溢出漏洞

CVE编号

CVE-2018-6485

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-02-02
漏洞描述
GNU C Library (又名glibc或libc6)中memalign函数中的posix_memalign实现中的整数溢出可能会导致这些函数返回一个指向堆区域的指针,该区域太小,可能会导致堆损坏。

解决建议
厂商已发布漏洞修复程序,请及时关注更新:
https://sourceware.org/bugzilla/show_bug.cgi?id=22343
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 gnu glibc * Up to
(including)
2.26
运行在以下环境
应用 netapp cloud_backup - -
运行在以下环境
应用 netapp data_ontap_edge - -
运行在以下环境
应用 netapp element_software - -
运行在以下环境
应用 netapp element_software_management - -
运行在以下环境
应用 netapp steelstore_cloud_integrated_storage - -
运行在以下环境
应用 netapp storage_replication_adapter * From
(including)
7.2
运行在以下环境
应用 netapp vasa_provider * From
(including)
7.2
运行在以下环境
应用 netapp vasa_provider 6.x -
运行在以下环境
应用 netapp virtual_storage_console * From
(including)
7.2
运行在以下环境
应用 netapp virtual_storage_console - -
运行在以下环境
应用 oracle communications_session_border_controller 8.0.0 -
运行在以下环境
应用 oracle communications_session_border_controller 8.1.0 -
运行在以下环境
应用 oracle communications_session_border_controller 8.2.0 -
运行在以下环境
应用 oracle enterprise_communications_broker 3.0.0 -
运行在以下环境
应用 oracle enterprise_communications_broker 3.1.0 -
运行在以下环境
应用 redhat virtualization_host 4.0 -
运行在以下环境
系统 amazon_2 glibc * Up to
(excluding)
2.26-27.amzn2.0.4
运行在以下环境
系统 amazon_AMI glibc * Up to
(excluding)
2.17-260.175.amzn1
运行在以下环境
系统 debian_9 glibc * Up to
(excluding)
2.24-11+deb9u4
运行在以下环境
系统 fedora_27 glibc * Up to
(excluding)
2.26-26.fc27
运行在以下环境
系统 opensuse_Leap_42.3 glibc * Up to
(excluding)
2.22-13.2
运行在以下环境
系统 oracle_7 glibc * Up to
(excluding)
2.17-260.0.9.ksplice1.el7
运行在以下环境
系统 suse_11_SP4 glibc * Up to
(excluding)
2.11.3-17.110.6.2
运行在以下环境
系统 suse_12_SP2 glibc * Up to
(excluding)
2.22-62.6.2
运行在以下环境
系统 suse_12_SP3 glibc * Up to
(excluding)
2.22-62.6.2
运行在以下环境
系统 ubuntu_14.04 glibc * Up to
(excluding)
2.19-0ubuntu6.15+esm1
运行在以下环境
系统 ubuntu_16.04 glibc * Up to
(excluding)
2.23-0ubuntu11.2
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-190 整数溢出或超界折返
CWE-787 跨界内存写
阿里云安全产品覆盖情况